<template>
  <span>
    <Button class="px-8 py-2" ghost :on-click="open">Batalkan</Button>
    <Modal
      :display="isDisplay"
      warning
      width="387px"
      height="310px"
      :with-close="onClose"
      title="Batalkan Pengisian?"
      desc="Jika membatalkan, Anda perlu mengisi formulir ini dari awal di kemudian hari."
    >
      <div class="absolute w-full bottom-0 mb-4">
        <div class="inline-flex">
          <Button ghost text-red class="py-2 px-5 " :on-click="gotoHome"> Ya, Batalkan</Button>
          <Button main class="py-2 px-8 rounded-md" :on-click="onClose"> Tidak, lanjutkan isi formulir</Button>
        </div>
      </div>
    </Modal>
  </span>
</template>

<script>
const Modal = () => import('~/components/Modal');
export default {
  components: {
    Modal,
  },
  data: () => ({
    isDisplay: false,
  }),
  methods: {
    open() {
      this.isDisplay = true;
    },
    onClose() {
      this.isDisplay = false;
    },
    gotoHome() {
      this.$router.push('/');
    },
  },
};
</script>

<style lang="scss" scoped>
button {
  font-size: 14px;
  line-height: 18px;
}
</style>
